@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body{
    font-family: 'Raleway', sans-serif;
    font-size: 14px;
}

a.link {
    text-decoration: none;
}

a.link-hover {
    text-decoration-color: rgba(0, 0, 255, 0);
    text-underline-offset: 2px;
    text-decoration-thickness: 2px;
    transition: all .5s ease-in-out;
}
a.link-hover:hover {
    color: #0D9814;
    text-decoration-color: #0D9814;
}

.after-none::after  {display: none !important;}
.before-none::before {display: none !important;}

.vertical-align-top{vertical-align: top;}
.vertical-align-center {vertical-align: middle;}
.vertical-align-middle {vertical-align: middle;}
.vertical-align-bottom {vertical-align: bottom}
.vertical-align-sub {vertical-align: sub}
.vertical-align-super {vertical-align: super;}


/* nav */
div.toppp {
    height: 30px;
}
div.toppp li{
    color: black;
}
.kol-termin {
    color: #0072ff;
}
.change-lang {
    color: black;
}
.change-lang:hover {
    text-decoration: underline;
    text-decoration-style: dotted;
}

.nav-tabs .nav-link {
    padding: 7px !important;
    outline: none;

}

.nav-tabs .nav-link.active {
    position: relative;
    color: #31c82b;
}

.nav-tabs .nav-link.active:after {
    position: absolute;
    content: '';
    height: 5px;
    width: 100%;
    left: 0;
    bottom: -2px;
    background: #31c82b;
}

.local a {opacity: 25%;}
.local a.active {opacity: 100%; position: relative;}

.local a.active:after {
    content: '';
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 3px;
    background: #31c82b;
}

/* Header::Begin */
header{
    background-color: #16419e;
}
.title-logo-header:hover {
    color: yellow;
}
.logo-header {
    display: table-cell;
    float: left;
    height: 75px;
}

.termin-offer {
    color: #0072ff;
    font-weight: 500;
    border-radius: 8px;
    background-color: white;
}
.menu-item {
    color: white;
    font-size: 16px;
    font-weight: 500;
}
.menu-item:hover {
    color: yellow;
}
.title-logo-header {
    display: table-cell;
    max-width: 300px;
    padding-left: 15px;
    line-height: normal;
    white-space: normal;
    color: white;
    font-size: 16px;
}

@media (max-width: 767px) {
    .title-logo-header {
        font-size: 14px;
    }
}

/* Container */
/* Search */

.container-title {
    font-size: 20px;
    font-weight: 500;
    color: #16419e;
}


/* main-header::Begin */
#news {
    height: 350px;
}
#news-container {
    position: relative;
    height: 350px;
}
#news-container img {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
}
.news-content:hover {
    color: yellow;
}
.searched-termins {
    list-style-type: none;
    margin: 0;
    padding: 0;
}
.searched-termins .list-group-item:last-child,
.widget .list-group-item:last-child {
    border-bottom: none;
}

.widget {
    position: relative;
    box-shadow: 3px 4px 0px 0px #dae7ff;
    border-radius: 3px;
    background: none;
    border: 1px solid #dae7ff;
    padding: 0;
    margin-bottom: 15px;
    max-height: 400px;
    height: 100%;
    overflow: hidden;
}
.widget:first-child{
    border-top: none;
}

.widget-in li{
    border-left: none;
    border-right: none;
}
.widget-in li:first-child {
    border-top: none;
}
.widget-in li:first-child .widget-name{
    padding: 5px !important;
    color: #164190 !important;
    font-weight: inherit !important;
    background-color: inherit !important;
    border-radius: inherit !important;
    border-color: inherit !important;
}
.widget > .list-group-item{
    border-left: none;
    border-right: none;
}
#more-news {
    border: none;
    font-weight: 500;
    border-radius: 6px;
    border-bottom: 4px solid gray;
}
#more-news:hover {
    background-color: yellow;
}
.list-group {
    display: flex;
    flex-direction: column;
}
.list-group-item:first-child {
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
}
.list-group-item {
    position: relative;
    display: block;
    border: 1px solid rgba(0, 0, 0, 0.125);
}
.widget li:first-child .widget-name {
    padding: 12px;
    font-weight: 600;
    font-size: 15px;
    color: #164190;
    background-color: #edf3ff;
    border-radius: 3px 3px 0 0;
    border-color: #d6d7d9;
}
.widget > .list-group-item:first-child  {
    background-color: #edf3ff;
}
.widget-name {
    padding: 5px;
    font-size: 15px;
    color: #164190;
}
/* main-header::End */



/* Category::Begin */
#category-list .categ-item {
    position: relative;
    display: block;
    border: 1px solid #eceaea;
    text-align: center;
    height: 100px;
    border-radius: 3px;
    margin: 15px 0;
    overflow: hidden;
}
.categ-item a {
    position: relative;
    height: 100%;
    text-decoration: none;
    display: block;
    font-weight: 500;
    z-index: 5;
}
.categ-item .category-item {
    color: #414550;
    font-size: 14px;
}

.categ-item:after {
    content: '';
    display: block;
    position: absolute;
    top: -50%;
    right: -50%;
    width: 32px;
    height: 32px;
    background: #00838d;
    transition: all 0.6s ease-in-out;
    border-radius: 50%;
}

.categ-item:hover:after {
    transition: all 0.6s ease-in-out;
    transform: scale(18);
}

#category-list .categ-item i {
    font-size: 30px;
    margin: 15px 0;
    display: block;
    color: #16419e;
}
#category-list .categ-item:hover {
    border: 33px solid #edf3ff;
}
#category-list .categ-item:hover .category-item,
#category-list .categ-item:hover i{
    position: relative;
    z-index: 100;
    color:  #fffceb;
    transition: color 0.5s ease;
}

.go-corner {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 32px;
    height: 32px;
    overflow: hidden;
    top: -1px;
    right: -1px;
    background-color: #00838d;
    border-radius: 0 4px 0 32px;
    z-index: 1;
}

.go-arrow {
    margin-top: -4px;
    margin-right: -4px;
    color: white;
    font-family: courier, sans;
}
/* Category::End */



/* Dolboor::Begin */
.card {
    height: 400px;
    margin: 3px;
}
.card-title{
    font-size: 14px;
    height: 67px;
    text-decoration: none;
    overflow: hidden;
}
.card-body {
    display: block;
}
#dolboor-list .card-img-top {
    height: 250px;
}
.button-all-dolboor {
    float: right;
}
.button-all-dolboor button {
    height: 50px;
    background-color:  rgb(90, 177, 4);
    color: white;
    border: none;
    border-radius: 8px;
    border-bottom: 4px solid #459500;
}
.button-all-dolboor button:hover {
    background-color: rgb(47, 92, 1);
}

/* dictionary */
#dictionary-list .card-img-top {
    height: 250px;
}

/* Footer */
footer {
    background-color: #16419e;
    font-weight: 500;
}
.footer-menu-item {
    color: white;
    font-size: 16px;
}
.footer-menu-item:hover {
    color: yellow;
}
.rights {
    color: white;
    font-size: small;
}


/* news.html */
/* Container */
#news-img {
    height: 200px;
}
#news-icon {
    font-size: 15px;
    color: gray;
}
#new-container {
    margin-bottom: 10px;
    margin-top: 10px;
}
.new-title {
    text-decoration: none;
    color: #4c4949;
    font-weight: 500;
}

/* new.html */
/* container */
.news-caption {
    color: #2196F3;
    padding: 10px 0;
    font-size: 20px;
    font-weight: 500;
}
.new-added-data {
    padding: 10px 0;
    font-size: small;
}
#new-height {
    min-height: 300px;
}
.new-share {
    display: flex;
    align-items: center;
    display: flex;
    padding: 15px 0;
    border-top: 1px solid #eee;
    margin-top: 15px;
}
.goodshare {
    border: none;
    display: inline-block;
    line-height: 0;
    margin-left: 5px;
    border-radius: 3px;
    overflow: hidden;
}
.share-icon {
    font-size: 24px;
    color: white;
    padding: 5px;
    font-family: boxicons!important;
    font-weight: 400;
    font-style: normal;
    font-variant: normal;
    line-height: 1;
    text-rendering: auto;
    display: inline-block;
    text-transform: none;
}
#share-icon1 {
    background-color: #3b5998;

}
#share-icon1:hover {
    color: #3b5998;
    background-color: white;
}
#share-icon2 {
    background-color: #45668e;
    margin: 0;
}
#share-icon2:hover {
    color: #45668e;
    background-color: white;
}
#share-icon3 {
    background-color: #eb722e;
    margin: 0;
}
#share-icon3:hover {
    color: #eb722e;
    background-color: white;
}
#share-icon4 {
    background-color: #d95032;
    margin: 0;
}
#share-icon4:hover {
    color: #d95032;
    background-color: white;
}
#share-icon5 {
    background-color: #55acee;
    margin: 0;
}
#share-icon5:hover {
    color: #55acee;
    background-color: white;
}

/* sozduktor.html */
/* container */
#card-title {
    text-decoration: none;
    color: #4c4949;
    font-weight: 500;
}
#card-title:hover {
    color: #0d6efd;;
}

/* sozduk.html */
/* container */
#dict-image {
    width: 300px;
}
#dict-body {
    height: auto;
    border: none;
}
.dict-title {
    color: #2196F3;
    font-size: 22px;
    font-weight: 500;
    padding-bottom: 8px;
}
#dict-content-body {
    padding-top: 0;
}
.dict-authors {
    color: #717171;
    font-weight: 500;
    padding-bottom: 8px;
}
.dict-down {
    color: #4caf50;
    font-size: 17px;
    border-bottom: 1px dashed;
    width: fit-content;
}
.dict-down:hover {
    color: red;
}
.dict-download {
    padding-bottom: 8px;
}
.dict-pdf {
    color: #1879dc;
    font-size: 17px;
    border-bottom: 1px dashed;
    width: fit-content;
}
.dict-pdf:hover {
    color: red;
}
.dict-online-pdf {
    padding-bottom: 8px;
}
.read-online-content {
    position: relative;
    margin: 0 auto;
}
.read-online-content figure {
    border: 2px solid #1b8bf9;
    background: #fff;
    border-radius: 3px;
    min-height: 100px;
    padding: 30px;
}
.read-online-title {
    position: absolute;
    top: -15px;
    background: #fff;
    padding: 0px 10px;
    font-size: 20px;
    font-weight: 500;
    color: #1b8bf9;
}
#read-online-body {
    margin-top: 30px;
}

/* termins.html */
/* termins->container */

.table-responsive {
    min-height: .01%;
    overflow-x: auto;
}
.dataTables_wrapper {
    position: relative;
    clear: both;
    zoom: 1;
}
.alphabet {
    position: relative;
    clear: both;
    margin: 1em 0;
    text-align: center;
}
div.alphabet ul{
    display: inline-block;
    margin: 0;
    padding: 0;
    list-style: none;
}
div.alphabet li {
    display: inline-block;
}
div.alphabet li:first-child a.active {
    color: #0bf !important;
    border: 1px solid transparent;
    background-color: transparent;
}
div.alphabet li:first-child a {
    margin-right: 10px;
    padding: 5px 10px;
}
div.alphabet a {
    display: inline-block;
    box-sizing: content-box;
    min-width: 1.3em;
    padding: 0.2em 0.1em;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    color: #333 !important;
    border: 1px solid transparent;
    border-radius: 2px;
}
.dataTables_wrapper
.dataTables_length {
    float: left;
}
div.dataTables_wrapper
div.dataTables_length label {
    font-weight: normal;
    text-align: left;
    white-space: nowrap;
    color: #111;
}
div.dataTables_wrapper div.dataTables_length select {
    width: 75px;
    display: inline-block;
    padding: 5px;
    margin-right: 10px;
    border: 1px solid #ced3da;
    border-radius: 3px;
}
label {
    display: inline-block;
    max-width: 100%;
    margin-bottom: 5px;
}
table {
    border-color: grey;
}

#termins-caption {
    margin-bottom: 20px;
}

.correct {
    position: relative;
    top: 5px;
}

.bold-link {
    color: #31aee9;
    font-weight: bold;
    text-decoration: none;
}

.bold-link:hover {
    color: #09567e;
    font-weight: bold;
    text-decoration: underline;
}



/*

 */

.user_card {
    height: 400px;
    width: 350px;
    margin-top: auto;
    margin-bottom: auto;
    background: #f39c12;
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -webkit-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    -moz-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 5px;

}
.brand_logo_container {
    position: absolute;
    height: 170px;
    width: 170px;
    top: -75px;
    border-radius: 50%;
    background: #60a3bc;
    padding: 10px;
    text-align: center;
}
.brand_logo {
    height: 150px;
    width: 150px;
    border-radius: 50%;
    border: 2px solid white;
}
.form_container {
    margin-top: 100px;
}
.login_btn {
    width: 100%;
    background: #c0392b !important;
    color: white !important;
}
.login_btn:focus {
    box-shadow: none !important;
    outline: 0px !important;
}
.login_container {
    padding: 0 2rem;
}

.input_user,
.input_pass:focus {
    box-shadow: none !important;
    outline: 0px !important;
}
.custom-checkbox .custom-control-input:checked~.custom-control-label::before {
    background-color: #c0392b !important;
}


/* user-term::begin */

.suggest-term {
    margin-bottom: 30px;
}

.suggest-term .row {
    display: flex;
    align-items: center;
    --bs-gutter-x: 1rem;
}

.suggest-term .term-number {
    background: #0D4473;
    color: #fff;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
}
.suggest-term input {
    padding: 7px;
    white-space: nowrap;
    border-radius: 2%;
    border: 1px solid #4aa9bf;
    background: #e2e7ea;
    font-weight: bold;
    outline: none;
}
.suggest-term .term-item input {
    font-size: 90%;
}
.suggest-term .term-action {
    white-space: nowrap;
    border-radius: 12px;
    color: #fff;
    opacity: 0.75;
    outline: none;
    border: none;
    box-shadow: none;
    font-weight: bold;
    transition: all .25s ease;
    max-width: 50px;
}

/* user-term::end */


.carousel-item{
    height: 400px;
}
.carousel-item img{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.carousel-indicators{
    z-index: 3;
    margin-bottom: 0;
}

.carousel-control-prev, .carousel-control-next{
    z-index: 3;
}



/* comment-actions (edit, delete) :: Begin */

.comments .card-body{
    padding: 8px 18px !important;
}

.comments .dropdown button.dropdown-toggle {
    line-height: 1;
    border-radius: 50%;
    padding: 0;
}


/* comment-actions (edit, delete) :: End */





/* new design:begin */

.content-wrapper {
    margin: 0 auto;
    max-width: 1200px;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    padding: 0.5rem;
}

.news-card {
    border: 0px solid aqua;
    margin: 0.5rem;
    position: relative;
    height: 15rem;
    overflow: hidden;
    border-radius: 0.5rem;
    flex: 1;
    min-width: 290px;
    box-shadow: 0 0 1rem rgba(0, 0, 0, 0.5);
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
}

@media (min-width: 900px) {

    .news-card {
        height: 20rem
    }
}

.news-card::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0) linear-gradient(to bottom, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0.7) 80%);;
    z-index: 0;
}

.news-card__card-link {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    /*     background: rgba(255,0,0,.5); */
}

.news-card__image {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    transition: transform 3s ease;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    position: relative;
    z-index: -1;
}

.news-card__text-wrapper {
    position: absolute;
    bottom: 0rem;
    padding: 1rem;
    color: white;
    /*     background-color: rgba(0, 0, 0, 0.4); */
    transition: background-color 1.5s ease;
}

.news-card__title {
    transition: color 1s ease;
    margin-bottom: .5rem;
    background: rgba(0,0,0, .5);
    padding: 7px;
    border-radius: 7px;
}

.news-card__post-date {
    font-size: 0.85rem;
    margin-bottom: .5rem;
    color: #CCC;
}

.news-card__details-wrapper {
    max-height: 0;
    opacity: 0;
    transition: max-height 1.5s ease, opacity 1s ease;
}

@media (min-width: 900px) {
    .news-card:hover .news-card__details-wrapper {
        max-height: 20rem;
        opacity: 1;
    }
    .news-card:hover .news-card__text-wrapper {
        background-color: rgba(0, 0, 0, 0.6);
    }
    .news-card:hover .news-card__title {
        color: yellow;
    }
    .news-card:hover .news-card__image {
        transform: scale(1.2);
        z-index: -1;
    }
}

.news-card__excerpt {
    font-weight: 300;
}

.news-card__read-more {
    background: black;
    color: #bbb;
    display: block;
    padding: 0.4rem 0.6rem;
    border-radius: 0.3rem;
    margin-top: 1rem;
    border: 1px solid #444;
    font-size: 0.8rem;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    text-decoration: none;
    width: 7rem;
    margin-left: auto;
    position: relative;
    z-index: 5;
}

.news-card__read-more i {
    position: relative;
    left: 0.2rem;
    color: #888;
    transition: left 0.5s ease, color 0.6s ease;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.news-card__read-more:hover i {
    left: 0.5rem;
    color: yellow;
}
/* new design::End*/




/* modern scroll bar::begin */

.modern-scrollbar::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

.modern-scrollbar::-webkit-scrollbar
{
    width: 12px;
    background-color: #F5F5F5;
}

.modern-scrollbar::-webkit-scrollbar-thumb
{
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #555;
}

/* modern scroll bar::end */
